Coolify logoCoolify
GET
/hetzner/server-types

Get all available Hetzner server types (instance sizes).

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Query Parameters

cloud_provider_token_uuid?string

Cloud provider token UUID. Required if cloud_provider_token_id is not provided.

cloud_provider_token_id?stringDeprecated

Deprecated: Use cloud_provider_token_uuid instead. Cloud provider token UUID.

Response Body

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/hetzner/server-types"
[  {    "id": 0,    "name": "string",    "description": "string",    "cores": 0,    "memory": 0,    "disk": 0,    "prices": [      {        "location": "string",        "price_hourly": {          "net": "string",          "gross": "string"        },        "price_monthly": {          "net": "string",          "gross": "string"        }      }    ]  }]
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}